
QGIS Application - Bug report #19266

Crash when Open Attribute Table of a MSSQL layer

2018-06-26 04:41 AM - Bruce Barton

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:3.2 Regression?: No

Operating System: Windows 7, 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27094

Description

User Feedback

I have added a MSSQL geom view as a layer and had just gone View Attribute Table.

Report Details

Crash ID: b654dbeb257abf824b239568b92e398642221150

Stack Trace

RtlEnterCriticalSection :

SQLAllocHandle :

SQLGetStmtOption :

SQLGetStmtAttrW :

sourceSelectProviders :

sourceSelectProviders :

sourceSelectProviders :

QgsVectorLayerFeatureIterator::QgsVectorLayerFeatureIterator :

QgsVectorLayerFeatureSource::getFeatures :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererParallelJob::renderLayerStatic :

QgsArchive::zip :

QgsImageOperation::overlayColor :

QgsImageOperation::flipImage :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.0-Bonn

QGIS code revision: commit:bc43194061

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

2025-04-27 1/2



#1 - 2018-10-02 10:20 PM - Nyall Dawson

- Status changed from Open to Feedback

Should be fixed in 3.3 master - please test

#2 - 2019-02-11 05:03 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
